Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

List all users attached to a given permission profile (/v2/permission-profile/users)

Prev Next
Get
/v2/permission-profile/users

Returns a list of all users whose access is controlled by the given permission profile.

Required authorizaton scope: 'api:users:read'.

Query parameters
profileId
stringRequired

Permission profile identifier.

Responses
200

Successful response

Expand All
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
users
Array of object (UserSimpleMetadata)

A list, in which each item specifies a user attached to the permission profile.

object

A list, in which each item specifies a user attached to the permission profile.

id
string

Gong's unique numeric identifier for the user (up to 20 digits).

Example234599484848423
fullName
string

The full name of the Gong user.

ExampleJon
emailAddress
string

The email address of the Gong user.

Exampletest@test.com
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Access denied

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string